Package be.e_contract.ejsf.component.webauthn

# Class WebAuthnComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
be.e_contract.ejsf.component.webauthn.WebAuthnComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.behavior.ClientBehaviorHolder`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`, `org.primefaces.component.api.Widget`

public class WebAuthnComponent extends javax.faces.component.UIComponentBase implements org.primefaces.component.api.Widget, javax.faces.component.behavior.ClientBehaviorHolder

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`WebAuthnComponent.PropertyKeys`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_FAMILY`
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface org.primefaces.component.api.Widget

`ATTR_WIDGET_VAR_PATTERN, CALLBACK_POST_CONSTRUCT, CALLBACK_POST_REFRESH, CALLBACK_PRE_DESTROY`

## Constructor Summary

Constructors
Constructor
Description
`WebAuthnComponent()`

## Method Summary

Modifier and Type
Method
Description
`com.yubico.webauthn.AssertionRequest`
`getAssertionRequest()`
`String`
`getAttestationConveyance()`
`com.yubico.webauthn.attestation.AttestationTrustSource`
`getAttestationTrustSource()`
`String`
`getAuthenticatorAttachment()`
`com.yubico.webauthn.CredentialRepository`
`getCredentialRepository()`
`String`
`getCredentialsRequest()`
`String`
`getDefaultEventName()`
`Collection<String>`
`getEventNames()`
`String`
`getFamily()`
`com.yubico.webauthn.data.ByteArray`
`getPRFSalt(com.yubico.webauthn.data.ByteArray credentialId)`
`com.yubico.webauthn.data.PublicKeyCredentialCreationOptions`
`getPublicKeyCredentialCreationOptions()`
`com.yubico.webauthn.RelyingParty`
`getRelyingParty()`
`String`
`getRelyingPartyId()`
`String`
`getRelyingPartyName()`
`String`
`getResidentKey()`
`Long`
`getTimeout()`
`String`
`getUserDisplayName()`
`byte[]`
`getUserId()`
`String`
`getUsername()`
`String`
`getUserVerification()`
`WebAuthnAuthenticatedEvent`
`getWebAuthnAuthenticatedEvent()`
`static WebAuthnComponent`
`getWebAuthnComponent(javax.faces.context.FacesContext facesContext)`
`WebAuthnRegisteredEvent`
`getWebAuthnRegisteredEvent()`
`boolean`
`hasPRFListener()`
`String`
`invokeAuthenticationMessageInterceptor(String authenticationRequest, String autheticationResponse)`
`String`
`invokeRegistrationMessageInterceptor(String registrationRequest, String registrationResponse)`
`boolean`
`isAllowOriginPort()`
`boolean`
`isAllowUntrustedAttestation()`
`void`
`queueEvent(javax.faces.event.FacesEvent facesEvent)`
`void`
`setAllowOriginPort(boolean allowOriginPort)`
`void`
`setAllowUntrustedAttestation(boolean allowUntrustedAttestation)`
`void`
`setAssertionRequest(String assertionRequest, String credentialsRequest)`
`void`
`setAttestationConveyance(String attestationConveyance)`
`void`
`setAuthenticationErrorListener(javax.el.MethodExpression authenticationErrorListener)`
`void`
`setAuthenticationMessageInterceptor(javax.el.MethodExpression authenticationMessageInterceptor)`
`void`
`setAuthenticatorAttachment(String authenticatorAttachment)`
`void`
`setPRFListener(javax.el.MethodExpression prfListener)`
`void`
`setPublicKeyCredentialCreationOptions(String creationOptions)`
`void`
`setRegistrationErrorListener(javax.el.MethodExpression registrationErrorListener)`
`void`
`setRegistrationMessageInterceptor(javax.el.MethodExpression registrationMessageInterceptor)`
`void`
`setRelyingPartyId(String id)`
`void`
`setRelyingPartyName(String name)`
`void`
`setResidentKey(String residentKey)`
`void`
`setTimeout(Long timeout)`
`void`
`setUserDisplayName(String userDisplayName)`
`void`
`setUserId(byte[] userId)`
`void`
`setUsername(String username)`
`void`
`setUserVerification(String userVerification)`
`void`
`setWebAuthnAuthenticatedEvent(WebAuthnAuthenticatedEvent event)`
`void`
`setWebAuthnRegisteredEvent(WebAuthnRegisteredEvent event)`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

`addClientBehavior, getClientBehaviors`

### Methods inherited from interface org.primefaces.component.api.Widget

`resolveWidgetVar, resolveWidgetVar`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

### COMPONENT_FAMILY

public static final String COMPONENT_FAMILY

See Also:
  - Constant Field Values

## Constructor Details

### WebAuthnComponent

public WebAuthnComponent()

## Method Details

### getFamily

public String getFamily()

Specified by:
  `getFamily` in class `javax.faces.component.UIComponent`

### getWebAuthnAuthenticatedEvent

public WebAuthnAuthenticatedEvent getWebAuthnAuthenticatedEvent()

### setWebAuthnAuthenticatedEvent

public void setWebAuthnAuthenticatedEvent(WebAuthnAuthenticatedEvent event)

### getWebAuthnRegisteredEvent

public WebAuthnRegisteredEvent getWebAuthnRegisteredEvent()

### setWebAuthnRegisteredEvent

public void setWebAuthnRegisteredEvent(WebAuthnRegisteredEvent event)

### getRelyingPartyId

public String getRelyingPartyId()

### setRelyingPartyId

public void setRelyingPartyId(String id)

### isAllowOriginPort

public boolean isAllowOriginPort()

### setAllowOriginPort

public void setAllowOriginPort(boolean allowOriginPort)

### getRelyingPartyName

public String getRelyingPartyName()

### setRelyingPartyName

public void setRelyingPartyName(String name)

### setPublicKeyCredentialCreationOptions

public void setPublicKeyCredentialCreationOptions(String creationOptions)

### getPublicKeyCredentialCreationOptions

public com.yubico.webauthn.data.PublicKeyCredentialCreationOptions getPublicKeyCredentialCreationOptions() throws com.fasterxml.jackson.core.JsonProcessingException

Throws:
  `com.fasterxml.jackson.core.JsonProcessingException`

### setAssertionRequest

public void setAssertionRequest(String assertionRequest, String credentialsRequest)

### getCredentialsRequest

public String getCredentialsRequest()

### getAssertionRequest

public com.yubico.webauthn.AssertionRequest getAssertionRequest() throws com.fasterxml.jackson.core.JsonProcessingException

Throws:
  `com.fasterxml.jackson.core.JsonProcessingException`

### setUsername

public void setUsername(String username)

### getUsername

public String getUsername()

### setUserId

public void setUserId(byte[] userId)

### getUserId

public byte[] getUserId()

### setUserDisplayName

public void setUserDisplayName(String userDisplayName)

### getUserDisplayName

public String getUserDisplayName()

### setUserVerification

public void setUserVerification(String userVerification)

### getUserVerification

public String getUserVerification()

### setTimeout

public void setTimeout(Long timeout)

### getTimeout

public Long getTimeout()

### setAuthenticatorAttachment

public void setAuthenticatorAttachment(String authenticatorAttachment)

### getAuthenticatorAttachment

public String getAuthenticatorAttachment()

### setResidentKey

public void setResidentKey(String residentKey)

### getResidentKey

public String getResidentKey()

### setAttestationConveyance

public void setAttestationConveyance(String attestationConveyance)

### getAttestationConveyance

public String getAttestationConveyance()

### setAllowUntrustedAttestation

public void setAllowUntrustedAttestation(boolean allowUntrustedAttestation)

### isAllowUntrustedAttestation

public boolean isAllowUntrustedAttestation()

### setRegistrationErrorListener

public void setRegistrationErrorListener(javax.el.MethodExpression registrationErrorListener)

### setAuthenticationErrorListener

public void setAuthenticationErrorListener(javax.el.MethodExpression authenticationErrorListener)

### setPRFListener

public void setPRFListener(javax.el.MethodExpression prfListener)

### hasPRFListener

public boolean hasPRFListener()

### getPRFSalt

public com.yubico.webauthn.data.ByteArray getPRFSalt(com.yubico.webauthn.data.ByteArray credentialId)

### getCredentialRepository

public com.yubico.webauthn.CredentialRepository getCredentialRepository()

### getAttestationTrustSource

public com.yubico.webauthn.attestation.AttestationTrustSource getAttestationTrustSource()

### setRegistrationMessageInterceptor

public void setRegistrationMessageInterceptor(javax.el.MethodExpression registrationMessageInterceptor)

### invokeRegistrationMessageInterceptor

public String invokeRegistrationMessageInterceptor(String registrationRequest, String registrationResponse)

### setAuthenticationMessageInterceptor

public void setAuthenticationMessageInterceptor(javax.el.MethodExpression authenticationMessageInterceptor)

### invokeAuthenticationMessageInterceptor

public String invokeAuthenticationMessageInterceptor(String authenticationRequest, String autheticationResponse)

### getEventNames

public Collection<String> getEventNames()

Specified by:
  `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
Overrides:
  `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

public String getDefaultEventName()

Specified by:
  `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
Overrides:
  `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getRelyingParty

public com.yubico.webauthn.RelyingParty getRelyingParty()

### queueEvent

public void queueEvent(javax.faces.event.FacesEvent facesEvent)

Overrides:
  `queueEvent` in class `javax.faces.component.UIComponentBase`

### getWebAuthnComponent

public static WebAuthnComponent getWebAuthnComponent(javax.faces.context.FacesContext facesContext)